### Method

# Gtk Builderextend_with_template

#### Declaration [src]

    gboolean
    gtk_builder_extend_with_template (
      GtkBuilder* builder,
      GObject* object,
      GType template_type,
      const char* buffer,
      gssize length,
      GError** error
    )

#### Description [src]

Main private entry point for building composite components from template XML.

Most likely you do not need to call this function in applications as templates are handled by `GtkWidget`.

#### Parameters

`object`

  Type: `GObject`

  The object that is being extended.

  The data is owned by the caller of the method.

`template_type`

  Type: `GType`

  The type that the template is for.

`buffer`

  Type: `const char*`

  The string to parse.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gssize`

  The length of `buffer` (may be -1 if `buffer` is nul-terminated)

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

A positive value on success, 0 if an error occurred.